# Class CIM_IPConnectivitySubnet
extends CIM_ConnectivityCollection

An IPConnectivitySubnet represents a group of related IPProtocolEndpoints that can communicate with each other, as members of a subnet. The class describes the characteristics of the subnet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_IPConnectivitySubnet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | An IPConnectivitySubnet represents a group of related IPProtocolEndpoints that can communicate with each other, as members of a subnet. The class describes the characteristics of the subnet.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddressType | uint16 |
Description | string | An enumeration that describes the format of the address properties in IPConnectivitySubnet.
ValueMap | string | 0, 1, 2
Values | string | Unknown, IPv4, IPv6
PrefixLength | uint8 |
Description | string | The prefix length for IPv6 addresses in the IP subnet, if needed (i.e., if the AddressType property is 2, "IPv6").
SubnetMask | string |
Description | string | The mask for the starting IPv4 address of the IP subnet, if needed (i.e., if the AddressType property is 1, "IPv4").
SubnetNumber | string |
Description | string | The IP address of the entire subnet, formatted according to the appropriate convention as defined in the AddressType property of this class.
ModelCorrespondence | string | CIM_IPConnectivitySubnet.AddressType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods